Page MenuHomePhabricator

Rendering messed up on nojs reply page
Closed, ResolvedPublic

Description

Same rendering fail as T97624: First topic of new page not rendered properly due to missing mw-content-ltr/rtl, but the action=reply in the URL prevents the fix for that bug from working :(

Event Timeline

Catrope created this task.May 1 2015, 1:00 AM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Unbreak Now!.
Catrope added a project: StructuredDiscussions.
Catrope added a subscriber: Catrope.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 1 2015, 1:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 208282 had a related patch set uploaded (by Catrope):
Follow-up ee320648fd1: output mw-content-{ltr,rtl} unconditionally

https://gerrit.wikimedia.org/r/208282

Change 208282 merged by jenkins-bot:
Follow-up ee320648fd1: output mw-content-{ltr,rtl} unconditionally

https://gerrit.wikimedia.org/r/208282

Change 208332 had a related patch set uploaded (by Catrope):
Follow-up ee320648fd1: output mw-content-{ltr,rtl} unconditionally

https://gerrit.wikimedia.org/r/208332

DannyH closed this task as Resolved.May 4 2015, 10:38 PM
DannyH added a subscriber: DannyH.

Change 208332 merged by jenkins-bot:
Follow-up ee320648fd1: output mw-content-{ltr,rtl} unconditionally

https://gerrit.wikimedia.org/r/208332

This caused regression at least in Translate. See I0c0466023bc3b for example.

Change 211141 had a related patch set uploaded (by Catrope):
Hack around action=reply not getting mw-content-{ltr,rtl}

https://gerrit.wikimedia.org/r/211141

Change 211141 merged by jenkins-bot:
Hack around action=reply not getting mw-content-{ltr,rtl}

https://gerrit.wikimedia.org/r/211141

Change 214767 had a related patch set uploaded (by Catrope):
Follow-up f7015eb5e4: add mw-content-{ltr,rtl} for all non-view actions

https://gerrit.wikimedia.org/r/214767

Catrope reopened this task as Open.May 29 2015, 9:15 PM

It wasn't just action=reply, it was also action=edit-header, edit-topic, edit-post and probably many more.

Change 214767 merged by Matthias Mullie:
Follow-up f7015eb5e4: add mw-content-{ltr,rtl} for all non-view actions

https://gerrit.wikimedia.org/r/214767

DannyH closed this task as Resolved.Jun 2 2015, 4:25 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-B-2015-05-20 board.